Web   ·   Wiki   ·   Activities   ·   Blog   ·   Lists   ·   Chat   ·   Meeting   ·   Bugs   ·   Git   ·   Translate   ·   Archive   ·   People   ·   Donate
summaryrefslogtreecommitdiffstats
path: root/tools/tarball
diff options
context:
space:
mode:
authorBernie Innocenti <bernie@codewiz.org>2010-05-03 21:53:47 (GMT)
committer Bernie Innocenti <bernie@codewiz.org>2010-05-03 21:53:47 (GMT)
commit1030dc837b10a03a02a85d5504cbeec168ce49e2 (patch)
tree698eefa87ac437deaf36a4141b326f8ce7986692 /tools/tarball
Import XaoS r489 (trunk after version 3.5)
Diffstat (limited to 'tools/tarball')
-rwxr-xr-xtools/tarball31
1 files changed, 31 insertions, 0 deletions
diff --git a/tools/tarball b/tools/tarball
new file mode 100755
index 0000000..d816a50
--- /dev/null
+++ b/tools/tarball
@@ -0,0 +1,31 @@
+#!/bin/sh
+# Creates a recent tarball.
+# Assumes that the directory name is XaoS/tools where we currently are.
+# Be careful: this script will delete files without asking questions!
+
+NAME=xaos-3.5
+
+test -x tarball || exit 1 # Sorry, this script should be run inside its directory.
+
+./mkChangeLog
+cd ..
+./configure
+cd doc
+make clean
+make
+cd ../help
+make clean
+make
+cd ..
+make clean
+make distclean
+rm -fR autom4te.cache
+cd ..
+rm -fR /tmp/xaos /tmp/$NAME /tmp/$NAME.tar.gz
+cp -a xaos /tmp
+cd /tmp
+mv xaos $NAME
+cd $NAME
+find -name .svn | xargs rm -fR
+cd ..
+tar czf $NAME.tar.gz $NAME